﻿/**
 * Camera settings
 * Настройки камеры
 */
{
  "camera": {
    // Global camera settings switch
    // 启用该功能
    "enabled": false,
    // Disable switching to sniper mode by mouse wheel
    // 禁用鼠标切换狙击模式
    "noScroll": false,
    // Arcade mode
    // 普通瞄准
    "arcade": {
      // Camera distance range: [min, max], default - [2, 25]
      // 镜头放大距离
      "distRange": [2, 25],
      // Start distance (null for default behavior - saved state from the last battle)
      // 初始距离
      "startDist": null,
      // 滚轮敏感度
      // Scroll sensitivity (по умолчанию = 5)
      "scrollSensitivity": 5,
      // Enable/disable dynamic camera
      // 动态镜头
      "dynamicCameraEnabled": true
    },
    // Postmortem mode
    // Режим после смерти
    "postmortem": {
      // Camera distance range: [min, max], default - [2, 25]
      // Отдаление камеры: [мин, макс], по умолчанию - [2, 25]
      "distRange": [2, 25],
      // Start distance (null for default behavior - maximum distance)
      // Начальная дистанция (null для поведения по умолчанию - максимальная дистанция)
      "startDist": null,
      // Чувствительность прокрутки (default = 5)
      // Scroll sensitivity (по умолчанию = 5)
      "scrollSensitivity": 5,
      // Enable/disable dynamic camera
      // Включить/выключить динамическую камеру
      "dynamicCameraEnabled": true
    },
    // Strategic mode (arty)
    // Стратегический режим (арта)
    "strategic": {
      // Camera distance range: [min, max], default - [40, 100]
      // Отдаление камеры: [мин, макс], по умолчанию - [40, 100]
      "distRange": [40, 100],
      // Enable/disable dynamic camera
      // Включить/выключить динамическую камеру
      "dynamicCameraEnabled": true
    },
    // Sniper mode
    // Снайперский режим
    "sniper": {
      // List of multiplicities for the sniper mode
      // Default: [ 2, 4, 8 ]. It's possible to use a greater number of values.
      // 放大倍数列表
      // 默认: [ 2, 4, 8 ]. 可增加更大的倍数
      "zooms": [2, 4, 8],
      // Zoom Indicator
      // Global macros allowed in all fields
      // Индикатор масштаба
      // Можно использовать глобальные макросы во всех полях
      "zoomIndicator": {
        // Enable/disable
        // 放大倍数指示
        "enabled": true,
        // Field position relative to screen center
        // 位置
        "x": 150,
        "y": 30,
        // Field size
        // Размер поля
        "width": 100,
        "height": 40,
        // Opacity in percents (0..100)
        // 透明度
        "alpha": 100,
        // Horizonatal text alignment (left, center, right)
        // Горизонтальное выравнивание текста (left, center, right)
        "align": "left",
        // Vertical text alignment (top, center, bottom)
        // Вертикальное выравнивание текста (top, center, bottom)
        "valign": "center",
        // Background color
        // Цвет фона
        "bgColor": null,
        // Border color 
        // Цвет рамки
        "borderColor": null,
        // Shadow settings
        // Настройки тени
        "shadow": { "distance": 0, "angle": 0, "color": "0x192E0E", "alpha": 100, "blur": 3, "strength": 7 },
        // Text format
        // Формат текста
        "format": "<font face='$TitleFont' color='#95CB29' size='16'>x{{zoom}}</font>"
      },
      // Enable/disable dynamic camera
      // Включить/выключить динамическую камеру
      "dynamicCameraEnabled": true
    }
  }
}
